Gst::MessageStateChanged Class Reference

A state change message. More...

Inheritance diagram for Gst::MessageStateChanged:
[legend]
Collaboration diagram for Gst::MessageStateChanged:
[legend]

## Public Member Functions

void | parse (State& oldstate, State& newstate, State& pending) const
| Extracts the old, new and pending states from the Gst::MessageStateChanged. More...
State | parse () const
| Extracts and returns the new state from the Gst::MessageStateChanged. More...
State | parse_old () const
| Extracts and returns the old state from the Gst::MessageStateChanged. More...
State | parse_pending () const
| Extracts and returns the pending state from the Gst::MessageStateChanged. More...
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Static Public Member Functions

static Glib::RefPtr < Gst::MessageStateChanged > | create (const Glib::RefPtr< Gst::Object >& src, State oldstate, State newstate, State pending)
| Create a state change message. More...

## Additional Inherited Members

Protected Member Functions inherited from Gst::Message
| Message ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Message
template<class MsgType >
static Glib::RefPtr< MsgType > | wrap (GstMessage* message, bool take_copy=false)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A state change message.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStateChanged> Gst::MessageStateChanged::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | State | oldstate,
|  | State | newstate,
|  | State | pending
| ) |  |

static

Create a state change message.

This message is posted whenever an element changed its state.

Parameters

  src | The object originating the message.
  oldstate | The previous state.
  newstate | The new (current) state.
  pending | The pending (target) state.

Returns
  The new state change message. MT safe.

void Gst::MessageStateChanged::parse | ( | State& | oldstate,
|  | State& | newstate,
|  | State& | pending
| ) |  | const

Extracts the old, new and pending states from the Gst::MessageStateChanged.

MT safe.

Parameters

  oldstate | The previous state.
  newstate | The new (current) state.
  pending | The pending (target) state.

State Gst::MessageStateChanged::parse | ( |  | ) | const

Extracts and returns the new state from the Gst::MessageStateChanged.

MT safe.

Returns
  The new (current) state.

State Gst::MessageStateChanged::parse_old | ( |  | ) | const

Extracts and returns the old state from the Gst::MessageStateChanged.

MT safe.

Returns
  The old state.

State Gst::MessageStateChanged::parse_pending | ( |  | ) | const

Extracts and returns the pending state from the Gst::MessageStateChanged.

MT safe.

Returns
  The pending state.

The documentation for this class was generated from the following file:

- gstreamermm/message.h